#btn-menu {
    z-index: 5;
    cursor: pointer;
    transition: left 500ms ease-in-out;

    div {
        width: 35px;
        height: 2px;
        margin-bottom: 8px;
        background-color: #fff;
        transition: transform 500ms ease-in-out, opacity 500ms, background-color 250ms;
    }
    #bottom {
        margin-bottom: 0;
    }
}

#header-menu {
    background-color: rgba(6, 0, 41, 0.7);
    backdrop-filter: blur(10px);
    border-radius: 50px;
    padding: 0 50px;
}
@media (max-width: 768px) {
    #header-menu {
        padding: 0 30px;
    }
}

#btn-menu.active {
    div {
        background-color: #fff;
    }

    #top {
        transform: translateY(10px) rotate(-135deg);
    }

    #middle {
        opacity: 0;
        transform: rotate(135deg);
    }

    #bottom {
        transform: translateY(-10px) rotate(-45deg);

    }
}

#box {
    position: fixed;
    z-index: 4;
    overflow: auto;
    top: 0px;
    right: -100%;
    width: 100%;
    opacity: 0;
    padding: 20px 0px;
    height: 100%;
    background: rgba(6, 0, 41, 0.9);
    color: #fff;
    transition: all 350ms ease-in-out;
    box-shadow: rgba(60, 64, 67, 0.3) 0px 1px 2px 0px, rgba(60, 64, 67, 0.15) 0px 2px 6px 2px;
}

#box.active {
    right: 0px;
    opacity: 1;
}

#items {
    position: relative;
    top: 10%;
    text-align: center;
    .item {
        position: relative;
        cursor: pointer;
        font-size: 32px;
        padding: 20px 15px;
        transition: all 1s;
        text-decoration: none;
    }
}
#items a {
    color: #fff;
    &:hover {
        text-decoration: underline !important;
        text-decoration-thickness: 2px !important;
        text-underline-offset: 5px !important;
    }
}

#btn-menu,
#btn-menu * {
    will-change: transform;
}

#box {
    will-change: transform, opacity;
}